#include "unmap.h"
#include <stdio.h>
#include "aswm/log/log.h"

void OnUnmapNotify(Aswm* aswm, const XUnmapEvent* e) {
	printf("XUnmapWindow %lu tiled in %lu\n", e->window, e->event);
	/* printf("ES-DE window %lu\n", aswm->es_de_window); */
	/* if(aswm->es_de_window != None) */
		/* XSetInputFocus(e->display, aswm->es_de_window, RevertToPointerRoot, CurrentTime); */
	// Since SubstructureNotify is selected on each frame, e->event corresponds
	// to the parent of the unmapped window (e->window)

	// Only handles request that refer to the ASWM window hierarchy
	aswm_unmap_window(e->display, e->event, e->window);
	printf("Unmap tree:\n");
	log_tree(aswm->display, DefaultRootWindow(aswm->display), 1);
}
