#include "log.h"
#include <stdio.h>

void log_tree(Display* display, Window window, int indent) {
	for(int i = 0; i < indent; i++)
		printf("  ");
	printf("%lu\n", window);
	
	Window root_window;
	Window parent_tile;
	Window* children;
	unsigned int children_count;
	XQueryTree(display, window, &root_window, &parent_tile, &children, &children_count);
	for(auto i = 0; i < children_count; i++)
		log_tree(display, children[i], indent+1);
	XFree(children);
}
