#include "map.h"
#include <stdio.h>
#include "aswm/log/log.h"
#include "X11/Xutil.h"

void OnMapRequest(Aswm* aswm, const XMapRequestEvent* e) {
	printf("XMapRequestEvent %lu\n", e->window);

	/* XSizeHints* size = XAllocSizeHints(); */
	/* long supplied; */
	/* if(XGetWMNormalHints(aswm->display, e->window, size, &supplied)) { */
		/* printf("\tWMNormalHints:\n"); */
		/* printf("\t\tMin w:%i\n", size->min_width); */
		/* printf("\t\tMin h:%i\n", size->min_height); */
		/* printf("\t\tMax w:%i\n", size->max_width); */
		/* printf("\t\tMax h:%i\n", size->max_height); */
		/* printf("\t\tBase w:%i\n", size->base_width); */
		/* printf("\t\tBase h:%i\n", size->base_height); */
	/* } */

	// Assumes map requests are always received on root and adressed to the
	// current workspace
	aswm_map_new_window(e->display, aswm->current_workspace, e->window);

	printf("Map tree:\n");
	log_tree(aswm->display, DefaultRootWindow(aswm->display), 1);
}
